OpenASP module?

OpenASP module?

Post by DvDmanD » Wed, 18 Jun 2003 10:21:24



Hello, I was wondering if anyone has the OpenASP module (site seems kinda
dead)? I use WinME so I can't have IIS (besides, I love Apache).. I use
Apache 1.3.27... I do believe OpenSA has it included in the package, but it
uses the old Api, so it doesn't work on my Apache... I don't want it running
on another port due to mod_l33t on the one I use... Now, I got Visual C++
6.0 so I can compile it as long as it uses right API... Otherwise, does
anyone know of any other free ASP for Apache (except Apache::ASP)? I'm 14
and it's for testing purposes so I can't really buy anything (like Chili and
iASP or Win XP/2003 to get IIS)... I saw modvb on SF, but it sorta leaks
functionality so far.. No idea on how good/bad openasp is though...

Now, I got PHP, Perl, Python, Tcl and Java/JSP (using tomcat/mod_jk), I use
Apache 1.3.27 like I mentioned... Gonna get some nice XSLT thingy too... And
ruby if possible... But as you can see, ASP is sorta missing...

Thanks in advance // DvDmanDT

 
 
 

OpenASP module?

Post by zebuhe » Wed, 18 Jun 2003 16:13:41


I am basically looking for the same thing as you but I am running Win
XP home and I really can't use IIS, but you can. I was running ME up
until about a week ago and I was using IIS. Because ME doesn't really
support IIS there are a lot of things you can't do (like run PERL
scripts), but if you are just wanting to test asp and nothing else
then you can use IIS. You have to download the NT Option pack from
http://www.microsoft.com/downloads/details.aspx?FamilyID=05c301d2-51f...

But like I said, it is pretty useless on WIN ME for doing anything
other that testing asp pages

 
 
 

OpenASP module?

Post by DvDmanD » Wed, 18 Jun 2003 20:54:29


Doesn't work, says it's designed for NT server then closes... So... Anyone
got OpenASP?

// DvDmanDT


Quote:> I am basically looking for the same thing as you but I am running Win
> XP home and I really can't use IIS, but you can. I was running ME up
> until about a week ago and I was using IIS. Because ME doesn't really
> support IIS there are a lot of things you can't do (like run PERL
> scripts), but if you are just wanting to test asp and nothing else
> then you can use IIS. You have to download the NT Option pack from

http://www.microsoft.com/downloads/details.aspx?FamilyID=05c301d2-51f...
Quote:

> But like I said, it is pretty useless on WIN ME for doing anything
> other that testing asp pages

 
 
 

OpenASP module?

Post by Tony Comb » Wed, 25 Jun 2003 03:29:32


You can use a product called ActiveHTML from selisoft
www.selisoft.com

it can be used with many servers. I used Abyss webserver with it fine.

http://www.aprelium.com


> Doesn't work, says it's designed for NT server then closes... So... Anyone
> got OpenASP?

> // DvDmanDT


> > I am basically looking for the same thing as you but I am running Win
> > XP home and I really can't use IIS, but you can. I was running ME up
> > until about a week ago and I was using IIS. Because ME doesn't really
> > support IIS there are a lot of things you can't do (like run PERL
> > scripts), but if you are just wanting to test asp and nothing else
> > then you can use IIS. You have to download the NT Option pack from

http://www.microsoft.com/downloads/details.aspx?FamilyID=05c301d2-51f...
b750-02f3c3141a71&DisplayLang=en
Quote:

> > But like I said, it is pretty useless on WIN ME for doing anything
> > other that testing asp pages

 
 
 

OpenASP module?

Post by Joachim Ri » Thu, 26 Jun 2003 05:18:27


Quote:> Hello, I was wondering if anyone has the OpenASP module (site seems kinda
> dead)? I use WinME so I can't have IIS (besides, I love Apache).. I use
> Apache 1.3.27... I do believe OpenSA has it included in the package, but it
> uses the old Api, so it doesn't work on my Apache...

huh? what exactly do you mean by old api? i know of two api's for
apache 1.3.x - that being plain API and EAPI. these pretty much
coexist but if you were to call one older, that'd certainly be plain
API. OpenSA has mod_ssl support and therefore EAPI, thus having the
latest API available for Apache 1.3.x

Quote:> I don't want it running
> on another port due to mod_l33t on the one I use...

you might consider running opensa on some other port like 6666 (and
maybe on localhost only) and use reverse proxying via ProxyPass /asp
http://127.0.0.1:6666/asp to access it.

joachim

 
 
 

OpenASP module?

Post by Secre » Fri, 27 Jun 2003 06:11:46


Sorry this mail is posted to several groups, I dont know which one to reply
to so, its going to all ......

If you want to get Personal Web Server (vertually iis) running on windows
ME, then you must change the mtssetup.dll, one of the install files, you can
search for it on google or email me off group and I will send it to you.

Personal web server works quite well with asp - i use it for entering
barcodes in to a database for the monthly shopping. yeah i know, sad.....

However, I want to use apache with asp, then you can use the html header to
seperate web sites by reading the url you are accessing the site from.

Pete.


> Doesn't work, says it's designed for NT server then closes... So... Anyone
> got OpenASP?

> // DvDmanDT


> > I am basically looking for the same thing as you but I am running Win
> > XP home and I really can't use IIS, but you can. I was running ME up
> > until about a week ago and I was using IIS. Because ME doesn't really
> > support IIS there are a lot of things you can't do (like run PERL
> > scripts), but if you are just wanting to test asp and nothing else
> > then you can use IIS. You have to download the NT Option pack from

http://www.microsoft.com/downloads/details.aspx?FamilyID=05c301d2-51f...
Quote:

> > But like I said, it is pretty useless on WIN ME for doing anything
> > other that testing asp pages

 
 
 

1. Where can I find ActiveScripting's OpenASP DSO?

Hey there!

    Does anyone happen to know why activescripting.org is down?  I have been
trying to get an ASP solution working, and I just found out yesterday that
rather than use mod_perl which seems to have problems, I can use OpenASP..
But I have been trying to access the site with no avail.

    If anyone has the most recent source tarball PLEASE let me know  :)

Thanx

Sean

ActiveScripting Organization
OpenASP pages for non-Microsoft servers
www.activescripting.org

2. Word processor type application for freebsd/xwin

3. conf.modules vs. modules.conf & modules.dep??

4. sched-2.5.64-bk10-C4

5. Linux "unresolved symbols in module /lib/modules/2.0.29..."

6. S3 Trio 64V+ video card

7. Kernel upgrade: make modules -> nothing to do for 'modules' and complains afterwards ?

8. VSIFax Question

9. Module rewrite 9/20: x86 module support

10. problem compiling modules from modules.tar.gz

11. apachectl /suse7.2/rcapache "unused" /php4 module / authldap module

12. *** Unresolved symbols in module /lib/modules/2.0.25/fs/ncpfs.o

13. no depepndency information for module /lib/modules/2.0.33/misc/hisax.o